# Interface ControlListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `AnnotationBarHoverManager.Closer, ControlAdapter`

public interface ControlListener extends EventListener
Classes which implement this interface provide methods that deal with the events that are generated by moving and resizing controls.

After creating an instance of a class that implements this interface it can be added to a control using the `addControlListener` method and removed using the `removeControlListener` method. When a control is moved or resized, the appropriate method will be invoked.

See Also:
  - `ControlAdapter`
  - `ControlEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`controlMoved(ControlEvent e)`
Sent when the location (x, y) of a control changes relative to its parent (or relative to the display, for `Shell`s).
`static ControlListener`
`controlMovedAdapter(Consumer<ControlEvent> c)`
Static helper method to create a `ControlListener` for the `controlMoved(ControlEvent e)`) method, given a lambda expression or a method reference.
`void`
`controlResized(ControlEvent e)`
Sent when the size (width, height) of a control changes.
`static ControlListener`
`controlResizedAdapter(Consumer<ControlEvent> c)`
Static helper method to create a `ControlListener` for the `controlResized(ControlEvent e)`) method, given a lambda expression or a method reference.

## Method Details

### controlMoved

void controlMoved(ControlEvent e)
Sent when the location (x, y) of a control changes relative to its parent (or relative to the display, for `Shell`s).

Parameters:
  `e` - an event containing information about the move

### controlResized

void controlResized(ControlEvent e)
Sent when the size (width, height) of a control changes.

Parameters:
  `e` - an event containing information about the resize

### controlMovedAdapter

static ControlListener controlMovedAdapter(Consumer<ControlEvent> c)
Static helper method to create a `ControlListener` for the `controlMoved(ControlEvent e)`) method, given a lambda expression or a method reference.

Parameters:
  `c` - the consumer of the event
Returns:
  ControlListener
Since:
  3.107

### controlResizedAdapter

static ControlListener controlResizedAdapter(Consumer<ControlEvent> c)
Static helper method to create a `ControlListener` for the `controlResized(ControlEvent e)`) method, given a lambda expression or a method reference.

Parameters:
  `c` - the consumer of the event
Returns:
  ControlListener
Since:
  3.107